| Qore MailMessage Module Reference 1.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MailMessage::Part Class Reference

class representing a MIME part of a Message More...

Inheritance diagram for MailMessage::Part:
[legend]

## Public Member Functions
| add (MultiPartAlternativeMessage mpa)
| adds itself to a multipart/alternative message
data | getData ()
| returns the data of the Part
*hash< auto > | getHeaders ()
| returns any headers for the Part
hash< auto > | getInfo ()
| Returns information about the part.
string | getMime ()
| returns the mime type of the Part
string | getName ()
| returns the name of the Part
string | getTransferEncoding ()
| returns the transfer encoding of the Part

## Detailed Description

class representing a MIME part of a Message

this class wraps all the data for the Part, including:

- the part's name if any is known or can be derived
- the mime type of the Part (ex: MimeTypeJpeg ie `"image/jpeg"`)
- the data for the Part; either binary object or as a string
- the encoding type for the attachment